// 主播
import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  roomuserInfo: `/api/onlive/lookuser`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async query({ commit }, { skip = 0, limit = 10, ...info } = {}) {
    const res = await this.$axios.$get(api.roomuserInfo, {
      skip,
      limit,
      ...info,
    });
    return res;
  },
  async lookquery({ commit }, { skip = 0, limit = 10, ...info } = {}) {
    const res = await this.$axios.$get(api.roomuserInfo, {
      skip,
      limit,
      ...info,
    });
    return res;
  },
  async create({ commit }, payload) {
    const res = await this.$axios.$post(`${api.roomuserInfo}`, payload);
    return res;
  },
  async fetch({ commit }, payload) {
    const res = await this.$axios.$get(`${api.roomuserInfo}/${payload}`);
    return res;
  },
  async update({ commit }, { id, ...info } = {}) {
    const res = await this.$axios.$post(`${api.roomuserInfo}/update/${id}`, {
      ...info,
    });
    return res;
  },
  async lookupdate({ commit }, { id, ...info } = {}) {
    const res = await this.$axios.$post(`${api.roomuserInfo}/update/${id}`, {
      ...info,
    });
    return res;
  },
  async delete({ commit }, payload) {
    const res = await this.$axios.$delete(`${api.roomuserInfo}/${payload}`);
    return res;
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
